/* Base */
body {
  margin: 0;
  background: #faf6ee;
  color: white;
  font-family: bitcount-mono-single-circle, sans-serif;
  font-weight: 500;
  font-style: normal;
}

/* Layout Desktop */
#dscl{
  color: #9eb8ab;
}

#layout {
  display: grid;
  grid-template-columns: 260px 1fr;
  height: 100vh;
}

#projects {
  background: #f9f6ee;
  padding: 2rem;
}

#projects ul {
  list-style: none;
  padding: 0;
  margin: 0;
}

#projects li {
  margin-bottom: 0.8rem;
  line-height: 0.9rem;
}

#logo {
  margin-bottom: 1rem;
  max-width: 10rem;
}

#projects li a {
  color: #454545;
  text-decoration: none;
  font-size: 0.8rem;
  letter-spacing: 0.01em;
  /*   text-transform: uppercase; */
  transition: color 0.2s ease;
}

#projects li a:hover {
  color: white;
  background-color: #454545;
}

#projDesc {
  font-size: 0.6rem;
  color: #454545;
  text-decoration: none;
  letter-spacing: 0.01em;
  margin-top: 0.1em;
  transition: color 0.2s ease;
}

#projCoverDiv {
  padding: 5rem 0rem 2rem;
  display: grid;
  grid-column-gap: 20px;
  line-height: 1.6rem;
}

.div1 {
  grid-area: 1 / 1 / 2 / 2;
  text-align: right;
}
.div1 img {
  box-sizing: border-box;
  max-width: 100%;
  max-height: 30rem;
}

.div2 {
  grid-area: 1 / 2 / 2 / 3;
  box-sizing: border-box;
  width: 34vw;
  padding-right: 2em;
}

#projCoverDiv h1 {
  font-family: owners-xxwide;
  font-size: 1.6rem;
  margin: 0;
}

#projCoverDiv p {
  font-size: 0.8rem;
  line-height: 1rem;
}

#content {
  position: relative;
  overflow-y: auto;
  color: #454545;
  background-color: #faf6ee;
  font-size: 0.8rem;
  line-height: 1rem;
}

#contentPhoto{
  width: 100%;
}

/* Menu Button */
#menuToggle {
  position: fixed;
  top: 2.4rem;
  right: 1.2rem;
  z-index: 3001;
  background: #454545;
  color: white;
  border: none;
  padding: 0.7rem 0.7rem;
  font-size: .6rem;
  text-transform: uppercase;
  text-align: center;
  cursor: pointer;
  border-radius: 10px;
}

/* Fullscreen Overlay Menu */
#overlayMenu {
  position: fixed;
  inset: 0;
  background: rgba(51, 51, 51, 0.91);
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.2s ease;
  z-index: 3000;
}

#overlayMenu.open {
  opacity: 1;
  pointer-events: auto;
}

#overlayMenu nav a {
  color: white;
  text-decoration: none;
  font-size: 2rem;
  margin: 1rem 0;
  text-transform: uppercase;
  opacity: 0.9;
  transition: opacity 0.2s ease;
}

#overlayMenu nav a:hover {
  opacity: 1;
}

#flyerGallery {
  display: flex;
  flex-wrap: wrap;
  gap: .7rem;
}

#flyerGallery img {
  width: calc(50% - 0.7rem);
  height: auto;
  display: block;
}

/* ================= MOBILE ================= */
@media (max-width: 768px) {
  #layout {
    display: block;
    height: auto;
  }

  #projects {
    padding: 1.5rem;
    border-bottom: 1px solid rgba(255, 255, 255, 0.08);
  }

  #projects ul {
    display: flex;
    flex-direction: column;
    /*     gap: 1rem; */
  }

  #projects li a {
    font-size: 0.8rem;
    letter-spacing: 0.15em;
    margin-bottom: 0.8rem;
    line-height: 0.9rem;
  }

  #content {
    height: auto;
    width: 100vw;
    box-sizing: border-box;
    padding: 1rem;
  }

  #projCoverDiv {
    display: flex;
    flex-direction: column;
    padding: 2rem 0 1rem;
    gap: 1.5rem;
  }

  .div1,
  .div2 {
    width: 100%;
    padding: 0;
    text-align: left;
  }

  .div1 img {
    max-height: none;
    width: 100%;
  }
}

/*
 Media styling for images/videos 
#content img,
#content video {
  max-width: 100%;
  display: block;
  margin: 1rem 0;
}
*/